scala.actors.scheduler

# ResizableThreadPoolScheduler

#### class ResizableThreadPoolScheduler extends Thread with IScheduler with TerminationMonitor

This scheduler class uses a `ThreadPoolExecutor` to execute `Actor`s.

The scheduler attempts to shut down itself and the underlying `ThreadPoolExecutor` only if `terminate` is set to true. Otherwise, the scheduler must be shut down explicitly.

Source
  ResizableThreadPoolScheduler.scala

Linear Supertypes
TerminationMonitor, IScheduler, Thread, Runnable, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ResizableThreadPoolScheduler
2. TerminationMonitor
3. IScheduler
4. Thread
5. Runnable
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new ResizableThreadPoolScheduler()

2. #### new ResizableThreadPoolScheduler(d: Boolean)

3. #### new ResizableThreadPoolScheduler(terminate: Boolean, daemon: Boolean)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ResizableThreadPoolScheduler to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (ResizableThreadPoolScheduler, B)

   Implicit information
     This member is added by an implicit conversion from ResizableThreadPoolScheduler to ArrowAssoc[ResizableThreadPoolScheduler] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline ()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### val CHECK_FREQ: Int

   Attributes
     protected

9. #### var activeActors: Int

   Attributes
     protected
   Definition Classes
     TerminationMonitor

10. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

11. #### final def checkAccess(): Unit

    Definition Classes
      Thread

12. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      Thread → AnyRef
    Annotations
      @throws ( ... )
    Note

      not specified by SLS as a member of AnyRef

13. #### val daemon: Boolean

    Attributes
      protected

14. #### def ensuring(cond: (ResizableThreadPoolScheduler) ⇒ Boolean, msg: ⇒ Any): ResizableThreadPoolScheduler

    Implicit information
      This member is added by an implicit conversion from ResizableThreadPoolScheduler to Ensuring[ResizableThreadPoolScheduler] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: (ResizableThreadPoolScheduler) ⇒ Boolean): ResizableThreadPoolScheduler

    Implicit information
      This member is added by an implicit conversion from ResizableThreadPoolScheduler to Ensuring[ResizableThreadPoolScheduler] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean, msg: ⇒ Any): ResizableThreadPoolScheduler

    Implicit information
      This member is added by an implicit conversion from ResizableThreadPoolScheduler to Ensuring[ResizableThreadPoolScheduler] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: Boolean): ResizableThreadPoolScheduler

    Implicit information
      This member is added by an implicit conversion from ResizableThreadPoolScheduler to Ensuring[ResizableThreadPoolScheduler] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

19. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

20. #### def execute(fun: ⇒ Unit): Unit

    Submits a closure for execution.

    Submits a closure for execution.

    fun

      the closure to be executed

    Definition Classes
      ResizableThreadPoolScheduler → IScheduler

21. #### def execute(task: Runnable): Unit

    Submits a `Runnable` for execution.

    Submits a `Runnable` for execution.

    task

      the task to be executed

    Definition Classes
      ResizableThreadPoolScheduler → IScheduler

22. #### def executeFromActor(task: Runnable): Unit

    Definition Classes
      IScheduler

23. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

24. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from ResizableThreadPoolScheduler to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline ()

25. #### def gc(): Unit

    Checks for actors that have become garbage.

    Checks for actors that have become garbage.

    Attributes
      protected
    Definition Classes
      TerminationMonitor

26. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

27. #### def getContextClassLoader(): ClassLoader

    Definition Classes
      Thread
    Annotations
      @CallerSensitive()

28. #### def getId(): Long

    Definition Classes
      Thread

29. #### final def getName(): String

    Definition Classes
      Thread

30. #### final def getPriority(): Int

    Definition Classes
      Thread

31. #### def getStackTrace(): Array[StackTraceElement]

    Definition Classes
      Thread

32. #### def getState(): State

    Definition Classes
      Thread

33. #### final def getThreadGroup(): ThreadGroup

    Definition Classes
      Thread

34. #### def getUncaughtExceptionHandler(): UncaughtExceptionHandler

    Definition Classes
      Thread

35. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

36. #### def interrupt(): Unit

    Definition Classes
      Thread

37. #### def isActive: Boolean

    When the scheduler is active, it can execute tasks.

    When the scheduler is active, it can execute tasks.

    returns

      `true`, if the scheduler is active, otherwise false.

    Definition Classes
      ResizableThreadPoolScheduler → IScheduler

38. #### final def isAlive(): Boolean

    Definition Classes
      Thread

39. #### final def isDaemon(): Boolean

    Definition Classes
      Thread

40. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

41. #### def isInterrupted(): Boolean

    Definition Classes
      Thread

42. #### final def join(): Unit

    Definition Classes
      Thread
    Annotations
      @throws ( ... )

43. #### final def join(arg0: Long, arg1: Int): Unit

    Definition Classes
      Thread
    Annotations
      @throws ( ... )

44. #### final def join(arg0: Long): Unit

    Definition Classes
      Thread
    Annotations
      @throws ( ... )

45. #### def managedBlock(blocker: ManagedBlocker): Unit

    Definition Classes
      ResizableThreadPoolScheduler → IScheduler

46. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

47. #### def newActor(a: TrackedReactor): Unit

    newActor is invoked whenever a new actor is started.

    newActor is invoked whenever a new actor is started.

    Definition Classes
      TerminationMonitor

48. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

49. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

50. #### def onTerminate(a: TrackedReactor)(f: ⇒ Unit): Unit

    Registers a closure to be executed when the specified actor terminates.

    Registers a closure to be executed when the specified actor terminates.

    a

      the actor

    f

      the closure to be registered

    Definition Classes
      TerminationMonitor

51. #### def restart(): Unit

    Resumes the execution of the scheduler if it was previously suspended using `snapshot`.

52. #### def run(): Unit

    Definition Classes
      ResizableThreadPoolScheduler → Thread → Runnable

53. #### def setContextClassLoader(arg0: ClassLoader): Unit

    Definition Classes
      Thread

54. #### final def setDaemon(arg0: Boolean): Unit

    Definition Classes
      Thread

55. #### final def setName(arg0: String): Unit

    Definition Classes
      Thread

56. #### final def setPriority(arg0: Int): Unit

    Definition Classes
      Thread

57. #### def setUncaughtExceptionHandler(arg0: UncaughtExceptionHandler): Unit

    Definition Classes
      Thread

58. #### def shutdown(): Unit

    Shuts down the scheduler.

    Shuts down the scheduler.

    Definition Classes
      ResizableThreadPoolScheduler → IScheduler

59. #### def snapshot(): Unit

    Suspends the scheduler.

    Suspends the scheduler. All threads that were in use by the scheduler and its internal thread pool are terminated.

60. #### def start(): Unit

    Definition Classes
      Thread

61. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

62. #### val terminate: Boolean

    Attributes
      protected

63. #### def terminated(a: TrackedReactor): Unit

    Registers that the specified actor has terminated.

    Registers that the specified actor has terminated.

    a

      the actor that has terminated

    Definition Classes
      TerminationMonitor

64. #### val terminationHandlers: HashMap[TrackedReactor, () ⇒ Unit]

    Attributes
      protected
    Definition Classes
      TerminationMonitor

65. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      Thread → AnyRef → Any

66. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

67. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

68. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

69. #### def →[B](y: B): (ResizableThreadPoolScheduler, B)

    Implicit information
      This member is added by an implicit conversion from ResizableThreadPoolScheduler to ArrowAssoc[ResizableThreadPoolScheduler] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from ResizableThreadPoolScheduler to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (resizableThreadPoolScheduler: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from ResizableThreadPoolScheduler to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (resizableThreadPoolScheduler: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def countStackFrames(): Int

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

2. #### def destroy(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

3. #### final def resume(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

4. #### final def stop(arg0: java.lang.Throwable): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

5. #### final def stop(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

6. #### final def suspend(): Unit

   Definition Classes
     Thread
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

7. #### def x: ResizableThreadPoolScheduler

   Implicit information
     This member is added by an implicit conversion from ResizableThreadPoolScheduler to ArrowAssoc[ResizableThreadPoolScheduler] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (resizableThreadPoolScheduler: ArrowAssoc[ResizableThreadPoolScheduler]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

8. #### def x: ResizableThreadPoolScheduler

   Implicit information
     This member is added by an implicit conversion from ResizableThreadPoolScheduler to Ensuring[ResizableThreadPoolScheduler] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (resizableThreadPoolScheduler: Ensuring[ResizableThreadPoolScheduler]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from TerminationMonitor

### Inherited from IScheduler

### Inherited from Thread

### Inherited from Runnable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ResizableThreadPoolScheduler to StringAdd

### Inherited by implicit conversion any2stringfmt from ResizableThreadPoolScheduler to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from ResizableThreadPoolScheduler to ArrowAssoc[ResizableThreadPoolScheduler]

### Inherited by implicit conversion any2Ensuring from ResizableThreadPoolScheduler to Ensuring[ResizableThreadPoolScheduler]

### Ungrouped